<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8"/>
    <title>Rygel &ndash; librygel-renderer &ndash; Vala Binding Reference</title>
    <link href="../style.css" rel="stylesheet" type="text/css"/><script src="../scripts.js" type="text/javascript">
    </script>
  </head>
  <body>
    <div class="site_header">Rygel &ndash; librygel-renderer Reference Manual</div>
    <div class="site_body">
      <div class="site_navigation">
        <ul class="navi_main">
          <li class="package_index"><a href="../index.html">Packages</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="package"><a href="index.htm">librygel-renderer</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="namespace">Rygel</li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="interface"><a href="Rygel.MediaPlayer.html">MediaPlayer</a></li>
          <li class="interface"><a href="Rygel.PlayerController.html">PlayerController</a></li>
          <li class="class"><a href="Rygel.MediaRenderer.html">MediaRenderer</a></li>
          <li class="class"><a href="Rygel.MediaRendererPlugin.html">MediaRendererPlugin</a></li>
        </ul>
      </div>
      <div class="site_content">
        <h1 class="main_title">Rygel</h1>
        <hr class="main_hr"/>
        <h2 class="main_title">Description:</h2>
        <h2 class="main_title">Content:</h2>
        <h3 class="main_title">Interfaces:</h3>
        <ul class="navi_inline">
          <li class="interface"><a href="Rygel.MediaPlayer.html">MediaPlayer</a> - <span class="brief_description">This interface maps UPnP 
              AVTransport:2 methods to the plugin's specific implementation.</span></li>
          <li class="interface"><a href="Rygel.PlayerController.html">PlayerController</a> - <span class="brief_description">This class keeps track of
              global states that are not dependant on the RygelMediaPlayer.</span></li>
        </ul>
        <h3 class="main_title">Classes:</h3>
        <ul class="navi_inline">
          <li class="class"><a href="Rygel.MediaRenderer.html">MediaRenderer</a> - <span class="brief_description">This class may be used to implement
              in-process UPnP-AV media renderers.</span></li>
          <li class="class"><a href="Rygel.MediaRendererPlugin.html">MediaRendererPlugin</a> - <span class="brief_description">This is the base class 
              for every Rygel UPnP renderer plugin.</span></li>
        </ul>
      </div>
    </div><br/>
    <div class="site_footer">Generated by <a href="https://wiki.gnome.org/Projects/Valadoc"><kbd>valadoc</kbd></a>
    </div>
  </body>
</html>